Межсайтовый скриптинг в Magento

Дата публикации:
12.01.2010
Дата изменения:
12.01.2010
Всего просмотров:
2069
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Magento 1.x
Уязвимые версии: Magento 1.3.2.4, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в полях "Name" и "Product SKU" при добавлении продукта, в поле "Group Name" при добавлении групп клиентов, в поле "Name" при добавлении корневых категорий или атрибутов, в поле "Class Name" при добавлении классов покупателей или продуктов, в поле "Tax Identifier" при добавлении значений платежей и в полях "Poll Question" и "Answer Title" при добавлении опросов. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.magentocommerce.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.madirish.net/?article=445

или введите имя

CAPTCHA